#include <stdio.h>
#include <math.h>

int main(void) {
  long unsigned int v,j=1;
  int i=-1;
  printf("unesi broj\n");
  scanf("%lu",&v);
  
  //racunanje broja cifara
  while(j<=v){
    i++;
    j*=10; 
  }

  j=0;

  while(v>0){
    if(v>=pow(10,i)*5){
      j++;
      v-=pow(10,i)*5;
    }
    if(v>=pow(10,i)*2){
      j++;
      v-=pow(10,i)*2;
    }
    if(v>=pow(10,i)*2){
      j++;
      v-=pow(10,i)*2;
    }
    if(v>=pow(10,i)){
      j++;
      v-=pow(10,i);
    }
    else{i--;}   
  }

  printf("%lu",j);
  return 0;
}